html {
    font-family: Calibri, Arial, Helvetica, sans-serif;
    font-size: 11pt;
    background-color: white
}

a.comment-indicator:hover+div.comment {
    background: #ffd;
    position: absolute;
    display: block;
    border: 1px solid black;
}

a.comment-indicator {
    background: red;
    display: inline-block;
    border: 1px solid black;
    width: 0.5em;
    height: 0.5em
}

div.comment {
    display: none
}

table {
    border-collapse: collapse;
    page-break-after: always
}

.gridlines td {
    /* border: 1px dotted black; */
}

.gridlines th {
    border: 1px dotted black
}

.b {
    text-align: center
}

.e {
    text-align: center
}

.f {
    text-align: right
}

.inlineStr {
    text-align: left
}

.n {
    text-align: right
}

.s {
    text-align: left
}

td.style0 {
    vertical-align: bottom;
    border-bottom: none #000000;
    border-top: none #000000;
    border-left: none #000000;
    border-right: none #000000;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: white
}

th.style0 {
    vertical-align: bottom;
    border-bottom: none #000000;
    border-top: none #000000;
    border-left: none #000000;
    border-right: none #000000;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: white
}

td.style1 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: white
}

th.style1 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: white
}

td.style2 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #B15D24
}

th.style2 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #B15D24
}

td.style3 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: white;
    min-width: 100px;
}

th.style3 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: white
}

td.style4 {
    vertical-align: middle;
    text-align: center;
    border: 1px solid #000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #0070C0
}

th.style4 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #0070C0
}

td.style5 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #548135
}

th.style5 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #548135
}

td.style6 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #BF9000
}

th.style6 {
    vertical-align: middle;
    text-align: center;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #BF9000
}

td.style7 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #A9CD90
}

th.style7 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #A9CD90
}

td.style8 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #9CC2E5
}

th.style8 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #9CC2E5
}

td.style9 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #FFE598
}

th.style9 {
    vertical-align: bottom;
    border-bottom: 1px solid #000000 !important;
    border-top: 1px solid #000000 !important;
    border-left: 1px solid #000000 !important;
    border-right: 1px solid #000000 !important;
    font-weight: bold;
    color: #000000;
    font-family: 'Calibri';
    font-size: 11pt;
    background-color: #FFE598
}

table.sheet0 col.col0 {
    width: 92.85555449pt
}

table.sheet0 col.col1 {
    width: 101.6666655pt
}

table.sheet0 col.col2 {
    width: 46.08888836pt
}

table.sheet0 col.col3 {
    width: 44.73333282pt
}

table.sheet0 col.col4 {
    width: 82.68888794pt
}

table.sheet0 col.col5 {
    width: 113.18888759pt
}

table.sheet0 col.col6 {
    width: 65.06666592pt
}

table.sheet0 col.col7 {
    width: 58.96666599pt
}

table.sheet0 col.col8 {
    width: 42pt
}

table.sheet0 col.col9 {
    width: 42pt
}

table.sheet0 col.col10 {
    width: 73.87777693pt
}

table.sheet0 col.col11 {
    width: 77.26666578pt
}

table.sheet0 col.col12 {
    width: 87.43333233pt
}

table.sheet0 col.col13 {
    width: 42pt
}

table.sheet0 tr {
    height: 15pt
}

table.sheet0 tr.row0 {
    height: 105pt
}

table.sheet0 tr.row9 {
    height: 105pt
}

table.sheet0 tr.row16 {
    height: 105pt
}

table.sheet0 tr.row25 {
    height: 105pt
}